Subject: [CCAMP] YANG prefix for flexi-grid (was RE: FW: Proposal for YANG model prefix naming)

From: Italo Busi <[email-masked]>
Date: Wed, 31 Mar 2021 15:49:03 +0000

It seems that addressing this issue on a step by step has worked well for the topology models

Let's then consider a second question/convention about the prefix to use for flexi-grid YANG model

I think that "flexi-grid" (which would lead to "flexi-gt" for flexi-grid Topology) is a bit too long for a prefix

I have not found any better option to shorten flexible other than flexi or flex. I think f is really too short to be meaningful and fx can be misunderstood as fixed as well

Therefore, I think we can shorten it to either "flexig" or "flexg" (which would lead to "flexigt" or "flexgt" respectively for flexi-grid Topology)

I have a slight preference for the latter option ("flexg" leading to "flexgt" for flexi-grid Topology) but I am open to other opinions or better proposals

Any other opinion?

Thanks, Italo

> -----Original Message-----
> From: tom petch [mailto:[email-masked]]
> Sent: lunedì 15 marzo 2021 13:00
> To: Daniele Ceccarelli <daniele.ceccarelli=[email-masked]>;
> CCAMP <[email-masked]>
> Subject: Re: [CCAMP] FW: Proposal for YANG model prefix naming
> 
> From: CCAMP <[email-masked]> on behalf of Daniele Ceccarelli
> <daniele.ceccarelli=[email-masked]>
> Sent: 11 March 2021 16:38
> 
> as previously anticipated during the CCAMP session today, we will ask the RFC
> editor to update the YANG model prefix for the WSON topology to "wsont".
> 
> Many thanks for sharing your thoughts and participating to the discussion.
> 
> <tp>
> I await the minutes with interest!
> 
> Meanwhile ccamp-flexigrid-yang is plain wrong.  Under IANA it registers flexi-
> grid-topology whereas the when statements have tet-flexig which I would
> characterise as ugly and uglier!  And I seem to recall this is not my first post on
> the prefix in this I-D which clearly is not ready for Last Call:-(
> 
> Tom Petch
> 
> 
> Daniele
> 
> -----Original Message-----
> From: CCAMP <[email-masked]> On Behalf Of Daniele Ceccarelli
> Sent: den 15 februari 2021 16:17
> To: tom petch <[email-masked]>; Italo Busi <[email-masked]>;
> 'CCAMP' <[email-masked]>; [email-masked]
> Cc: [email-masked]
> Subject: Re: [CCAMP] Proposal for YANG model prefix naming
> 
> Thanks for your feedback Tom.
> 
> Working group, other opinions?
> 
> Thanks,
> Daniele
> 
> -----Original Message-----
> From: tom petch <[email-masked]>
> Sent: den 12 februari 2021 13:29
> To: Italo Busi <[email-masked]>; Daniele Ceccarelli
> <[email-masked]>; 'CCAMP' <[email-masked]>;
> [email-masked]
> Cc: [email-masked]
> Subject: Re: [CCAMP] Proposal for YANG model prefix naming
> 
> From: Italo Busi <[email-masked]>
> Sent: 12 February 2021 09:02
> 
> Thanks Daniele
> 
> FYI: we are discussing these options also with TEAS experts:
> 
> https://protect2.fireeye.com/v1/url?k=d3d01972-8c4b2077-d3d059e9-
> 86959e472243-ddf7de26918206cd&q=1&e=586b5fcf-a971-4d25-81f3-
> 4c64316f0395&u=https%3A%2F%2Fgithub.com%2Ftsaad-
> dev%2Fte%2Fissues%2F125
> 
> Let's see if we can get an agreement at least for these two drafts which are in
> RFC queue:
> 
> > draft-ietf-ccamp-layer0-types
> > ietf-layer0-types (l0-types) --->(l0-types)
> 
> I think we can agree with this prefix since all the proposals are aligned.
> 
> > draft-ietf-ccamp-wson-yang
> > ietf-wson-topology  (wson) --->(wson-topo)
> 
> Here, I think we have two candidates: wson-topo and wsont
> 
> I have a slight preference for wsont since it is aligned with tet and nt prefix
> conventions used in RFC8795 and RFC8345 but I can accept wson-topo (it
> could be seen as aligned with wson-tunnel or wson-tnl prefix conventions).
> 
> What do you think?
> 
> <tp>
> Since TEAS already has its tanks on the lawn, I would go for wsont.
> 
> Adrian expressed a preference for ...topo but I think that wrong as it gets too
> long IMHO as with ethtetopo or else eth-te-topo
> 
> Tom Petch
> Italo
> 
> > -----Original Message-----
> > From: Daniele Ceccarelli [mailto:[email-masked]]
> > Sent: giovedì 4 febbraio 2021 09:14
> > To: tom petch <[email-masked]>; 'CCAMP' <[email-masked]>;
> > [email-masked]
> > Cc: [email-masked]
> > Subject: Re: [CCAMP] Proposal for YANG model prefix naming
> >
> > Tom, Adrian, all,
> >
> > The L0 types and the WSON topology drafts are now on hold. We can
> > include them in the updated prefix naming.
> > The RFC editor will delay processing these documents until the updated
> > versions are available. The AD (John or Deborah) will need to approve
> > the changes.
> >
> > This will also affect the IANA registries, they have been informed as well.
> >
> > BR
> > Daniele
> >
> > -----Original Message-----
> > From: CCAMP <[email-masked]> On Behalf Of tom petch
> > Sent: den 3 februari 2021 17:44
> > To: 'CCAMP' <[email-masked]>; [email-masked]
> > Cc: [email-masked]
> > Subject: Re: [CCAMP] Proposal for YANG model prefix naming
> >
> > From: Adrian Farrel <[email-masked]>
> > Sent: 03 February 2021 12:12
> >
> > Hi Tom,
> >
> > >> Proposal for YANG model prefix naming.
> > >>
> > >> Radek and then Tom raised the issue of consistency in prefix naming
> > >> based
> > on
> > >> the fact that the TE topology model uses 'tet' and the TE topology
> > >> state model uses 'tet-s'
> > >
> > > I think that the starting point is a list of I-D/RFC and I see some
> > glitches in your list.
> > >
> > > draft-ietf-client-signal-yang probably should be
> > draft-ietf-ccamp-client-signal-yang
> >
> > Yes, typo.
> >
> > > I see two flexigrid I-D but you only list one
> >
> > I'm at https://datatracker.ietf.org/wg/ccamp/documents/ looking at
> > extant WG documents.
> > Looks like draft-ietf-ccamp-flexigrid-media-channel-yang expired
> > almost 6 months ago.
> >
> > > wson-yang and l1types have been approved by the IESG so I regard
> > > those as
> > fixed
> > > points that it is now too late to change and which we should build
> > > around
> >
> > Well, colour me confused.
> > I thought this whole thing came up in debate of the WSON YANG model.
> > If that debate is now closed, let's all move on and not worry about
> > any of this any more.
> >
> > > I have seen more than one wson model
> >
> > There's an information model in draft-ietf-ccamp-wson-iv-info, but no
> > data model.
> > draft-ietf-ccamp-wson-tunnel-model expired almost 6 months ago
> >
> > > microwave seems to be missing
> >
> > draft-ietf-ccamp-mw-topo-yang expired almost 18 months ago
> >
> > <tp>
> >
> > Adrian,
> >
> > The progress of I-D in the routing area can be erratic.  The fact that
> > the IETF has expired the I-D does not mean that it will not come back
> > to life - a whole raft of I-D that were produced in a rush just before
> > the IETF meeting have just expired 6 months later and some are now
> > being resuscitated, others will be in future, others will not.  Some re-appear
> years later when their time has come.
> >
> > To me, an expired draft says that someone was interested enough to put
> > in a lot of work and even if that work is not current, then it would
> > be a short- sighted naming convention, although well in keeping with
> > the traditions of the IETF, not to cater for such work in future.
> >
> > For myself, I like names that start with the most important property
> > and for me, that is WSON. OTN, RSVP and so on, and that is the basis
> > on which I reviewed them, and not the fact that they are te - the
> > rival proposal is for te to be the centre of the universe around which
> > everything revolves, regardless of which WG  - TEAS, CCAMP, ... -it may be in.
> I am not a fan of this approach.
> >
> > Tom Petch
> >
> > CCAMP is currently working on plenty of YANG models, so it might be
> > worth stepping back and getting the prefixes consistent across all of our
> work.
> > I'm not sure this is the most important thing on our list, and perhaps
> > it would be better to discuss the colour of the bike shed, but to make
> > sure that we do this just once, here is my attempt.
> >
> > My conclusion is that, although it would be nice to be consistent with
> > using just a suffix of 't' to indicate 'topology', this becomes messy
> > with some of the longer names, and it is clearer to always use 'topo'
> > (leaving the TE topology model as the odd one out).
> >
> > This proposal only extends to CCAMP YANG models, and I don't think
> > this list can debate the wider scoping of prefixes, but I think it
> > would extend well enough.
> >
> > The list shows...
> > Draftname
> > Modelname (currentprefix)--->(proposedprefix)
> >
> > draft-ietf-ccamp-client-signal-yang
> > ietf-eth-tran-service (ethtsvc)--->(etht-svc) ietf-eth-tran-types
> > (etht-types) ---
> > >(etht-types) ietf-trans-client-service (clntsvc) --->(tclnt-svc)
> > >ietf-trans-client-
> > svc-types (clntsvc-types) --->(tclnt-svc-types)
> >
> > draft-ietf-ccamp-dwdm-if-param-yang
> > ietf-ext-xponder-wdm-if
> > (ietf-ext-xponder-wdm-if)--->(ext-xponder-wdm-if)
> >
> > draft-ietf-ccamp-flexigrid-yang
> > ietf-flexi-grid-topology (flexi-grid-topology) --->(flexi-grid-topo)
> >
> > draft-ietf-ccamp-l1csm-yang
> > ietf-l1csm (l1csm) --->(l1csm)
> >
> > draft-ietf-ccamp-layer0-types
> > ietf-layer0-types (l0-types) --->(l0-types)
> >
> > draft-ietf-ccamp-layer1-types
> > ietf-layer1-types (l1-types) --->(l1types)
> >
> > draft-ietf-ccamp-optical-impairment-topology-yang
> > ietf-optical-impairment-topology (optical-imp-topo)
> > --->(optical-imp-topo)
> >
> > draft-ietf-ccamp-otn-topo-yang
> > ietf-otn-topology (otntopo) --->(otn-topo)
> >
> > draft-ietf-ccamp-otn-tunnel-model
> > ietf-otn-tunnel (otn-tunnel) --->(otn-tunnel)
> >
> > draft-ietf-ccamp-wson-yang
> > ietf-wson-topology  (wson) --->(wson-topo)
> >
> >
> > _______________________________________________
> > CCAMP mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/ccamp
> > =
> >
> >
> > _______________________________________________
> > CCAMP mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/ccamp
> >
> 
> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp
> 
> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp
>